org.apache.myfaces.trinidad.change

## Class RemoveChildComponentChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChange
  - - org.apache.myfaces.trinidad.change.RemoveChildComponentChange

- All Implemented Interfaces:
    Serializable, DocumentChange

      public class RemoveChildComponentChange
      extends ComponentChange
      implements DocumentChange

  Change specialization for removal of a child. While applying this Change, if there were to be a child with the specified identifier, it will be removed.
  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/change/RemoveChildComponentChange.java#0 $) $Date: 10-nov-2005.19:10:00 $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveChildComponentChange(String childId)` Constructs a RemoveChildChange with the specified identifier of the child.
    `RemoveChildComponentChange(String childId, String identifier)` Constructs a RemoveChildChange with the specified identifier of the child.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComponent(javax.faces.component.UIComponent uiComponent)` Apply this change to the specied component
    `void` | `changeDocument(Node componentNode)` Apply this change to the specied root DOM Node of the component
    `String` | `getChildId()` Returns the identifier of child component that needs to be removed.
    `boolean` | `getForcesDocumentReload()` Returns true if adding the DocumentChange should force the JSP Document to reload
    `String` | `getIdentifier()` Returns the identifier type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveChildComponentChange

          public RemoveChildComponentChange(String childId)

      Constructs a RemoveChildChange with the specified identifier of the child.
      Parameters:
        `childId` - The identifier of the child component that needs to be removed. If no identifier is specified, the type will be treated as of 'id' type.
      Throws:
        `IllegalArgumentException` - if specified childId were to be null.

    - #### RemoveChildComponentChange

          public RemoveChildComponentChange(String childId,
                                    String identifier)

      Constructs a RemoveChildChange with the specified identifier of the child.
      Parameters:
        `childId` - The identifier of the child component that needs to be removed.
        `identifier` - Determines the type of identifier which is passed as the first argument.
      Throws:
        `IllegalArgumentException` - if specified childId were to be null.

  - ### Method Detail

    - #### getChildId

          public String getChildId()

      Returns the identifier of child component that needs to be removed.

    - #### getIdentifier

          public final String getIdentifier()

      Returns the identifier type.

    - #### changeComponent

          public void changeComponent(javax.faces.component.UIComponent uiComponent)

      Apply this change to the specied component
      Specified by:
        `changeComponent` in class `ComponentChange`
      Parameters:
        `uiComponent` - the UIComponent to apply the change to

    - #### changeDocument

          public void changeDocument(Node componentNode)

      Apply this change to the specied root DOM Node of the component
      Specified by:
        `changeDocument` in interface `DocumentChange`
      Parameters:
        `componentNode` - DOM node of the component to apply the change to

    - #### getForcesDocumentReload

          public boolean getForcesDocumentReload()

      Returns true if adding the DocumentChange should force the JSP Document to reload
      Specified by:
        `getForcesDocumentReload` in interface `DocumentChange`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.